コンテンツへスキップ

Editto

統合

モデルID editto
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/editto?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

例と同様のファイル: $0.405 405 APIクレジット 実行前にファイルを計測します このページで実行

APIキーを取得
Open model 動画変換 720pまで #video-edit#wan-vace

プロンプトで元動画を書き換える指示ベースの動画編集です。フレーム数、fps、解像度を制御できます

Open model · 動画

最初の結果がここに表示されます

以下でリクエストを作成し、APIキーで実行してください。出力はストレージにコピーされ、永久保存または無料で7日保存されます。

リクエストを作成

コントロールはモデルスキーマから生成されます。値を変更するとコードと価格が更新されます。

•必須

動画生成を導くテキスト指示。

•必須 video_url
ファイルをドロップ、または

ソース動画ファイルのURL。インペインティングを実行する場合に必須です。

resolution デフォルト auto

出力動画の解像度。

aspect_ratio デフォルト auto

結果の動画のアスペクト比。

デフォルト 81

出力フレーム数。範囲は81–241で、両端を含みます。

デフォルト 0

補間数。0の場合は元のフレームを補間せず、それ以外の値ではフレーム間に生成する中間フレーム数を指定します。

詳細設定 negative_prompt · sampler · acceleration · video_quality · video_write_mode · frames_per_second · num_inference_steps · guidance_scale · shift · temporal_downsample_factor · seed · match_input_frames_per_second · enable_safety_checker · enable_auto_downsample · return_frames_zip
デフォルト letterboxing, borders...

動画生成時に適用するネガティブプロンプト。

sampler デフォルト unipc

動画生成時に使用するサンプラー。

acceleration デフォルト regular

推論高速化設定。'none'または'regular'から選択します。高速化処理により大幅に速度が向上しますが、出力がごくわずかに変化する可能性があります。

video_quality デフォルト high

結果動画の品質レベル。

video_write_mode デフォルト balanced

結果動画の書き込みモード。

デフォルト 16

生成動画のフレームレート。`match_input_frames_per_second`がtrueでない場合にのみ適用され、5–30フレーム/秒の値を指定できます。

デフォルト 30

サンプリングステップ数。増やすほど処理時間が長くなる代わりに品質が向上します。

デフォルト 5

classifier-free guidanceで制御するプロンプト整合性の強度。スケールを上げると、生成画像がテキストにより忠実になります。

デフォルト 5

動画生成時に適用するシフト設定。

デフォルト 0

動画のフレームスキップ係数。整数で指定し、ダウンサンプリング係数ごとに1回、自動アップサンプリングが適用されます。0を指定すると時間方向のダウンサンプリングを無効にします。

生成を再現可能にするシード。None に設定するとシードをランダムに選択します。

POST /run/editto?wait=20 見積もり → $0.405
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/editto?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエストを実行

キーはこのブラウザ内に保持されます。Doitong APIにのみ送信され、「記憶する」にチェックを入れた場合のみlocalStorageに保存されます。 APIキーを取得

Edittoについて

`video_url`で指定した既存動画を、テキスト`prompt`に従って編集します。入力のフレーム数とフレームレートを引き継ぐことも、`num_frames`(17~241)と`frames_per_second`(5~30)を指定することもできます。解像度は240p~720p、アスペクト比はauto、16:9、1:1、9:16に対応し、フレームをZIPで返すこともできます。

パラメータ

正式名称またはネイティブ名のいずれか一方を送信してください。両方は送信しないでください。 正式名称

名前型 デフォルト許可される値 説明
prompt必須
型string
動画生成を導くテキスト指示。
negative_prompt任意
型string
デフォルトletterboxing, borders, black bars, bright colors, overexposed, static, blurred details, subtitles, style, artwork, painting, picture, still, overall gray, worst quality, low quality, JPEG compression residue, ugly, incomplete, extra fingers, poorly drawn hands, poorly drawn faces, deformed, disfigured, malformed limbs, fused fingers, still picture, cluttered background, three legs, many people in the background, walking backwards
動画生成時に適用するネガティブプロンプト。
match_input_num_frames任意
型boolean
デフォルトfalse
生成動画のフレーム数の取得元。falseの場合は`num_frames`を使用し、trueの場合は入力動画のフレーム数をコピーします。
num_frames任意
型integer
デフォルト81
17 – 241
出力フレーム数。範囲は81–241で、両端を含みます。
match_input_frames_per_second任意
型boolean
デフォルトfalse
生成動画のフレームレートの取得元。falseの場合は`frames_per_second`を使用し、trueの場合は入力動画のフレームレートをコピーします。
frames_per_second任意
型integer | null
デフォルト16
5 – 30
生成動画のフレームレート。`match_input_frames_per_second`がtrueでない場合にのみ適用され、5–30フレーム/秒の値を指定できます。
seed任意
型integer | null
生成を再現可能にするシード。None に設定するとシードをランダムに選択します。
resolution任意
型enum
デフォルトauto
auto240p360p480p580p720p
出力動画の解像度。
aspect_ratio任意
型enum
デフォルトauto
auto16:91:19:16
結果の動画のアスペクト比。
num_inference_steps任意
型integer
デフォルト30
2 – 50
サンプリングステップ数。増やすほど処理時間が長くなる代わりに品質が向上します。
guidance_scale任意
型number
デフォルト5
1 – 10
classifier-free guidanceで制御するプロンプト整合性の強度。スケールを上げると、生成画像がテキストにより忠実になります。
sampler任意
型enum
デフォルトunipc
unipcdpm++euler
動画生成時に使用するサンプラー。
shift任意
型number
デフォルト5
1 – 15
動画生成時に適用するシフト設定。
video_url必須 video
型url · video
ソース動画ファイルのURL。インペインティングを実行する場合に必須です。
enable_safety_checker任意
型boolean
デフォルトfalse
安全性チェックの切り替え。オフにするにはアカウント認証が必要です。認証がない場合、設定に関係なくすべてのリクエストがチェックされます。trueでチェッカーを有効にします。
acceleration任意
型enum
デフォルトregular
nonelowregular
推論高速化設定。'none'または'regular'から選択します。高速化処理により大幅に速度が向上しますが、出力がごくわずかに変化する可能性があります。
video_quality任意
型enum
デフォルトhigh
lowmediumhighmaximum
結果動画の品質レベル。
video_write_mode任意
型enum
デフォルトbalanced
fastbalancedsmall
結果動画の書き込みモード。
num_interpolated_frames任意
型integer
デフォルト0
0 – 5
補間数。0の場合は元のフレームを補間せず、それ以外の値ではフレーム間に生成する中間フレーム数を指定します。
temporal_downsample_factor任意
型integer
デフォルト0
0 – 5
動画のフレームスキップ係数。整数で指定し、ダウンサンプリング係数ごとに1回、自動アップサンプリングが適用されます。0を指定すると時間方向のダウンサンプリングを無効にします。
enable_auto_downsample任意
型boolean
デフォルトfalse
フレーム数の自動調整。有効にすると、適切な長さに時間方向でダウンサンプリングされた動画をモデルが処理し、その後の補間で元のフレーム数を復元します。
return_frames_zip任意
型boolean
デフォルトfalse
生成されたすべてのフレームを含むZIPアーカイブも返すかどうかを制御します。trueの場合に有効です。
必須 正式名称(こちらも使用可能)

ファイルパラメータには、公開されたhttps:// URL、10 MBまでのdata: URI、またはアップロードしたファイルのfile_urlを指定します。 ファイル

出力

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "editto",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 405,
    "usd": "0.405",
    "charged": 405,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "video_url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "fps": 1.0,
      "duration": 5,
      "num_frames": 1
    },
    "prompt": "Make it a Pixel Art video.",
    "seed": 42,
    "frames_zip": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ファイルの保存期間を選択すべてのoutputs[].urlはストレージ上のコピーです。アカウント設定または?storage=により、永久保存(GB・月単位で有料)または無料で7日保存できます。
すべてのモデルで同じ形式画像、動画、音声のいずれでも、type、url、content_type、width、height、durationが含まれます。outputはモデル独自の結果オブジェクトです。
出力フィールド
video
object {url, content_type, file_name, file_size, width, height, fps, duration, num_frames}画像から生成された動画ファイル。
prompt
string出力の生成に使用されたプロンプト。
seed
integer生成時に適用したシード値。
frames_zip
object {url, content_type, file_name, file_size} | nullリクエスト時に返される、すべての動画フレームを含むZIPアーカイブ。

AIエージェント向け:このページのMarkdown版はこちらです: https://doitong.com/ja/developers/models/editto.md. すべてのモデルとガイド: https://doitong.com/developers/llms.txt